package com.jdbc.mysql;

import java.awt.*;
import java.awt.event.*;
import java.sql.*;
import javax.swing.*;

public class Main extends JFrame {

	private JPanel jpDatebase,jpPassword,jpSubmit;
	private JLabel jlDatebase,jlPassword;
	private JPasswordField password;
	private JTextField user;
	private JButton submit;
	private Connection con;

	public static void main(String[] args) {
		try {
			UIManager.setLookAndFeel(javax.swing.plaf.nimbus.NimbusLookAndFeel.class.getName());
		} catch (Exception e) {
			e.printStackTrace();
		} 
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					new Main().setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	public Main() {
		initialize();
	}

	private void initialize() {
		this.setTitle("Query for MySQL");
		this.setSize(425, 234);
		this.setLocationRelativeTo(this);
		this.setResizable(false);
		
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.getContentPane().setLayout(null);
		
		jpPassword = new JPanel();
		jpPassword.setBounds(15, 78, 380, 48);
		this.getContentPane().add(jpPassword);
		jpPassword.setLayout(null);
		
		jlPassword = new JLabel("Password:");
		jlPassword.setHorizontalAlignment(SwingConstants.CENTER);
		jlPassword.setBounds(0, 0, 130, 48);
		jlPassword.setFont(new Font("΢ź Light", Font.BOLD, 24));
		jpPassword.add(jlPassword);
		
		password = new JPasswordField();
		password.setFont(new Font("΢ź Light", Font.BOLD, 24));
		password.setEchoChar('*');
		password.setBounds(130, 0, 250, 48);
		jpPassword.add(password);
		
		jpDatebase = new JPanel();
		jpDatebase.setBounds(15, 15, 380, 48);
		this.getContentPane().add(jpDatebase);
		jpDatebase.setLayout(null);
		
		jlDatebase = new JLabel("Database:");
		jlDatebase.setHorizontalAlignment(SwingConstants.CENTER);
		jlDatebase.setBounds(0, 0, 130, 48);
		jlDatebase.setFont(new Font("΢ź Light", Font.BOLD, 24));
		jpDatebase.add(jlDatebase);
		
		user = new JTextField();
		user.setFont(new Font("", Font.BOLD, 24));
		user.setBounds(130, 0, 250, 48);
		jpDatebase.add(user);
		user.setColumns(10);
		
		jpSubmit = new JPanel();
		jpSubmit.setBounds(15, 141, 380, 48);
		this.getContentPane().add(jpSubmit);
		jpSubmit.setLayout(null);
		
		submit = new JButton("Ok");
		submit.setFont(new Font("΢ź Light", Font.BOLD, 24));
		submit.setBounds(130, 0, 250, 48);
		jpSubmit.add(submit);
		
		submit.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
					getConnection();
			}
		});
	}
	public void getConnection() {
		try {
			Class.forName("com.mysql.jdbc.Driver");
			String host="jdbc:mysql://localhost:3306/"+user.getText();
			String root="root";
			String pass=password.getText();
			con=DriverManager.getConnection(host,root,pass);
			setVisible(false);
			Chose ch=new Chose(con);
			ch.setVisible(true);
			
		} catch (Exception e) {
			JOptionPane.showMessageDialog(null, "MySQLException!", "Message", JOptionPane.WARNING_MESSAGE);
		}
	}
}
